<div class="flex-container">
  <div class="nav-menu shadow-sm menu1" [ngClass]="{ 'd-none': menuService.isTopNav ? false : true }">
    <ul class="components list-unstyled mb-0">
      <li *ngFor="let parent of navLinkService.menu" [routerLinkActive]='["active"]' name="parentMenu" (click)="setParentActive(parent, $event)">
        <a *ngIf="parent.children.length < 1; else has_children" (click)="clearActiveMenu()" [routerLink]="parent.srcPath">{{ parent.menuNme }}</a>
        <ng-template #has_children>
          <a href="#{{ parent.menuNme.toLowerCase().split(' ').join('-') }}-{{ suffix }}" data-toggle="collapse" aria-expanded="false" (click)="setTopMenuPage(parent.srcPath, null, $event)">{{ parent.menuNme }} <i *ngIf='suffix == "nav"' class="fa fa-caret-down ml-2"></i></a>
          <ul class="collapse list-unstyled" id="{{ parent.menuNme.toLowerCase().split(' ').join('-') }}-{{ suffix }}">
            <li *ngFor="let children of parent.children" [routerLinkActive]='["active"]' name="subMenu" (click)="setTopMenuPage(parent.srcPath + children.srcPath, parent, $event)"
              (contextmenu)="onRightClick($event, children)"><a>{{ children.menuNme }}</a>
            </li>
          </ul>
        </ng-template>
      </li>
    </ul>
  </div>
  <div class="nav-menu shadow-sm menu2"> 
    <ul class="components list-unstyled mb-0" >
      <li name="parentMenu">
        <a *ngIf="externalLinks.length == 0">&nbsp;</a>
        <a *ngIf="externalLinks.length > 0" id="external" href="#external-nav"  (click)="setTopMenuPage('external',null,$event)" data-toggle="collapse" aria-expanded="false">External Links</a>
        <ul id="external-nav" class="collapse list-unstyled">
          <li  name="subMenu" *ngFor="let data of externalLinks">
            <a (click)="openLink(data.link)">{{data.menu}}</a>
          </li>
        </ul>
      </li>
    </ul>
  </div>
</div>




<ng-template #childrenMenu let-children>
  <section class="children-menu">
    <div (click)="openNewTab(children)">Open in New Tab</div>
  </section>
</ng-template>
